Bug 1460449 - kdeconnect dont start - Segmentation fault (core dumped) [NEEDINFO]
kdeconnect dont start - Segmentation fault (core dumped)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-connect (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-10 13:39 EDT by Mosaab Alzoubi
Modified: 2017-12-12 05:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:39:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: needinfo? (moceap)


Attachments (Terms of Use)
trace (446.72 KB, text/plain)
2017-06-11 07:01 EDT, Mosaab Alzoubi
no flags Details

  None (edit)
Description Mosaab Alzoubi 2017-06-10 13:39:38 EDT
kdeconnect dont start - Segmentation fault (core dumped)
Comment 1 Rex Dieter 2017-06-10 22:17:07 EDT
We need a little more information please.  Can you provide a backtrace of the crash?  Under what circumstances does it crash?  using normal plasma session, or other?
Comment 2 Mosaab Alzoubi 2017-06-11 07:01 EDT
Created attachment 1286823 [details]
trace

Fedora 25, Gnome.

Trace attached
Comment 3 Rex Dieter 2017-06-11 09:12:01 EDT
strace isn't very helpful in this regard.

Can you run it under gdb instead, and get a backtrace please?  (or ideally, if abrt catches the crash, let it process it)
Comment 4 Rex Dieter 2017-06-11 09:13:27 EDT
It *may* be related to adwaita-qt, one of the last things before it crashes in trace is that it tries to load:
/usr/lib64/qt5/plugins/styles/adwaita.so
Comment 5 Mosaab Alzoubi 2017-06-11 09:32:36 EDT
Downloading >>>>>>>>>>>>

[moceap@MosaabAlzoubi]>>[~]$ sudo dnf debuginfo-install kdeconnectd-1.0.3-1.fc25.x86_64
[sudo] password for moceap: 
enabling fedora-debuginfo repository
enabling rpmfusion-nonfree-debuginfo repository
enabling rpmfusion-free-debuginfo repository
enabling rpmfusion-nonfree-updates-debuginfo repository
enabling rpmfusion-free-updates-debuginfo repository
enabling updates-debuginfo repository
Last metadata expiration check: 2:43:03 ago on Sun Jun 11 13:47:51 2017.
Dependencies resolved.
========================================================================================================
 Package                        Arch    Version                                Repository          Size
========================================================================================================
Installing:
 acl-debuginfo                  x86_64  2.2.52-12.fc25                         updates-debuginfo  131 k
 attr-debuginfo                 x86_64  2.4.47-16.fc24                         fedora-debuginfo    81 k
 audit-debuginfo                x86_64  2.7.6-1.fc25                           updates-debuginfo  1.1 M
 avahi-debuginfo                x86_64  0.6.32-4.fc25                          fedora-debuginfo   1.0 M
 bzip2-debuginfo                x86_64  1.0.6-21.fc25                          updates-debuginfo  129 k
 cups-debuginfo                 x86_64  1:2.2.0-9.fc25                         updates-debuginfo  2.5 M
 dbus-debuginfo                 x86_64  1:1.11.12-1.fc25                       updates-debuginfo  1.5 M
 dbusmenu-qt-debuginfo          x86_64  0.9.3-0.11.20150604.fc24               fedora-debuginfo   1.5 M
 e2fsprogs-debuginfo            x86_64  1.43.3-1.fc25                          updates-debuginfo  1.8 M
 expat-debuginfo                x86_64  2.2.0-1.fc25                           fedora-debuginfo   199 k
 flac-debuginfo                 x86_64  1.3.2-1.fc25                           updates-debuginfo  961 k
 fontconfig-debuginfo           x86_64  2.12.1-1.fc25                          fedora-debuginfo   446 k
 freetype-debuginfo             x86_64  2.6.5-9.fc25                           updates-debuginfo  2.0 M
 gamin-debuginfo                x86_64  0.1.10-23.fc25                         fedora-debuginfo   204 k
 gcc-base-debuginfo             x86_64  6.3.1-1.fc25                           updates-debuginfo  3.4 M
 gcc-debuginfo                  x86_64  6.3.1-1.fc25                           updates-debuginfo  283 M
 glib2-debuginfo                x86_64  2.50.3-1.fc25                          updates-debuginfo  6.9 M
 glibc-debuginfo                x86_64  2.24-4.fc25                            updates-debuginfo   11 M
 glibc-debuginfo-common         x86_64  2.24-4.fc25                            updates-debuginfo   13 M
 gmp-debuginfo                  x86_64  1:6.1.1-1.fc25                         fedora-debuginfo   915 k
 gnutls-debuginfo               x86_64  3.5.12-2.fc25                          updates-debuginfo  3.0 M
 graphite2-debuginfo            x86_64  1.3.6-1.fc25                           fedora-debuginfo   568 k
 gsm-debuginfo                  x86_64  1.0.16-1.fc25                          updates-debuginfo   89 k
 harfbuzz-debuginfo             x86_64  1.3.2-1.fc25                           fedora-debuginfo   972 k
 hunspell-debuginfo             x86_64  1.4.1-2.fc25                           updates-debuginfo  942 k
 icu-debuginfo                  x86_64  57.1-5.fc25                            updates-debuginfo  8.0 M
 kde-connect-debuginfo          x86_64  1.0.3-1.fc25                           updates-debuginfo  6.2 M
 keyutils-debuginfo             x86_64  1.5.9-8.fc24                           fedora-debuginfo    91 k
 kf5-attica-debuginfo           x86_64  5.34.0-1.fc25                          updates-debuginfo  1.6 M
 kf5-karchive-debuginfo         x86_64  5.34.0-1.fc25                          updates-debuginfo  687 k
 kf5-kauth-debuginfo            x86_64  5.34.0-1.fc25                          updates-debuginfo  1.2 M
 kf5-kbookmarks-debuginfo       x86_64  5.34.0-1.fc25                          updates-debuginfo  1.1 M
 kf5-kcmutils-debuginfo         x86_64  5.34.0-1.fc25                          updates-debuginfo  1.1 M
 kf5-kcodecs-debuginfo          x86_64  5.34.0-1.fc25                          updates-debuginfo  577 k
 kf5-kcompletion-debuginfo      x86_64  5.34.0-1.fc25                          updates-debuginfo  780 k
 kf5-kconfig-debuginfo          x86_64  5.34.0-1.fc25                          updates-debuginfo  2.0 M
 kf5-kconfigwidgets-debuginfo   x86_64  5.34.0-1.fc25                          updates-debuginfo  1.1 M
 kf5-kcoreaddons-debuginfo      x86_64  5.34.0-1.fc25                          updates-debuginfo  2.0 M
 kf5-kcrash-debuginfo           x86_64  5.34.0-1.fc25                          updates-debuginfo  191 k
 kf5-kdbusaddons-debuginfo      x86_64  5.34.0-1.fc25                          updates-debuginfo  587 k
 kf5-kdeclarative-debuginfo     x86_64  5.34.0-1.fc25                          updates-debuginfo  2.9 M
 kf5-kglobalaccel-debuginfo     x86_64  5.34.0-1.fc25                          updates-debuginfo  1.4 M
 kf5-kguiaddons-debuginfo       x86_64  5.34.0-1.fc25                          updates-debuginfo  591 k
 kf5-ki18n-debuginfo            x86_64  5.34.0-2.fc25                          updates-debuginfo  978 k
 kf5-kiconthemes-debuginfo      x86_64  5.34.0-1.fc25                          updates-debuginfo  894 k
 kf5-kio-debuginfo              x86_64  5.34.0-2.fc25                          updates-debuginfo   19 M
 kf5-kitemviews-debuginfo       x86_64  5.34.0-1.fc25                          updates-debuginfo  873 k
 kf5-kjobwidgets-debuginfo      x86_64  5.34.0-1.fc25                          updates-debuginfo  676 k
 kf5-knotifications-debuginfo   x86_64  5.34.0-2.fc25                          updates-debuginfo  1.5 M
 kf5-kpackage-debuginfo         x86_64  5.34.0-1.fc25                          updates-debuginfo  1.0 M
 kf5-kservice-debuginfo         x86_64  5.34.0-1.fc25                          updates-debuginfo  2.6 M
 kf5-ktextwidgets-debuginfo     x86_64  5.34.0-1.fc25                          updates-debuginfo  831 k
 kf5-kwayland-debuginfo         x86_64  5.34.0-1.fc25                          updates-debuginfo  3.2 M
 kf5-kwidgetsaddons-debuginfo   x86_64  5.34.0-1.fc25                          updates-debuginfo  3.9 M
 kf5-kwindowsystem-debuginfo    x86_64  5.34.0-1.fc25                          updates-debuginfo  1.4 M
 kf5-kxmlgui-debuginfo          x86_64  5.34.0-1.fc25                          updates-debuginfo  3.3 M
 kf5-solid-debuginfo            x86_64  5.34.0-1.fc25                          updates-debuginfo  3.3 M
 kf5-sonnet-debuginfo           x86_64  5.34.0-1.fc25                          updates-debuginfo  1.5 M
 krb5-debuginfo                 x86_64  1.14.4-7.fc25                          updates-debuginfo  4.1 M
 libICE-debuginfo               x86_64  1.0.9-9.fc25                           updates-debuginfo  132 k
 libSM-debuginfo                x86_64  1.2.2-4.fc24                           fedora-debuginfo    63 k
 libX11-debuginfo               x86_64  1.6.5-1.fc25                           updates-debuginfo  1.7 M
 libXau-debuginfo               x86_64  1.0.8-6.fc24                           fedora-debuginfo    29 k
 libXdamage-debuginfo           x86_64  1.1.4-8.fc24                           fedora-debuginfo    35 k
 libXext-debuginfo              x86_64  1.3.3-4.fc24                           fedora-debuginfo   177 k
 libXfixes-debuginfo            x86_64  5.0.3-1.fc25                           fedora-debuginfo    47 k
 libXi-debuginfo                x86_64  1.7.9-1.fc25                           updates-debuginfo  141 k
 libXrender-debuginfo           x86_64  0.9.10-1.fc25                          fedora-debuginfo    75 k
 libXtst-debuginfo              x86_64  1.2.3-1.fc25                           fedora-debuginfo    51 k
 libXxf86vm-debuginfo           x86_64  1.1.4-3.fc24                           fedora-debuginfo    45 k
 libasyncns-debuginfo           x86_64  0.8-10.fc24                            fedora-debuginfo    39 k
 libcap-debuginfo               x86_64  2.25-2.fc25                            fedora-debuginfo    84 k
 libcap-ng-debuginfo            x86_64  0.7.8-1.fc25                           fedora-debuginfo   154 k
 libdrm-debuginfo               x86_64  2.4.81-1.fc25                          updates-debuginfo  628 k
 libepoxy-debuginfo             x86_64  1.4.1-1.fc25                           updates-debuginfo  1.1 M
 libevdev-debuginfo             x86_64  1.5.6-1.fc25                           updates-debuginfo  122 k
 libfakekey-debuginfo           x86_64  0.1-15.fc24                            fedora-debuginfo    31 k
 libffi-debuginfo               x86_64  3.1-9.fc24                             fedora-debuginfo   116 k
 libgcrypt-debuginfo            x86_64  1.6.6-1.fc25                           fedora-debuginfo   1.1 M
 libglvnd-debuginfo             x86_64  1:0.2.999-14.20170308git8e6e102.fc25   updates-debuginfo  864 k
 libgpg-error-debuginfo         x86_64  1.24-1.fc25                            fedora-debuginfo   172 k
 libgudev-debuginfo             x86_64  230-3.fc24                             fedora-debuginfo    51 k
 libidn2-debuginfo              x86_64  2.0.2-1.fc25                           updates-debuginfo  148 k
 libinput-debuginfo             x86_64  1.6.3-5.fc25                           updates-debuginfo  400 k
 libjpeg-turbo-debuginfo        x86_64  1.5.1-0.fc25                           fedora-debuginfo   664 k
 libmodman-debuginfo            x86_64  2.0.1-12.fc24                          fedora-debuginfo   118 k
 libogg-debuginfo               x86_64  2:1.3.2-5.fc24                         fedora-debuginfo    49 k
 libpciaccess-debuginfo         x86_64  0.13.4-3.fc24                          fedora-debuginfo    70 k
 libpng-debuginfo               x86_64  2:1.6.27-1.fc25                        updates-debuginfo  498 k
 libproxy-debuginfo             x86_64  0.4.14-1.fc25                          updates-debuginfo  601 k
 libselinux-debuginfo           x86_64  2.5-13.fc25                            updates-debuginfo  905 k
 libsepol-debuginfo             x86_64  2.5-10.fc25                            fedora-debuginfo   841 k
 libsndfile-debuginfo           x86_64  1.0.28-1.fc25                          updates-debuginfo  661 k
 libtasn1-debuginfo             x86_64  4.12-1.fc25                            updates-debuginfo  184 k
 libunistring-debuginfo         x86_64  0.9.4-3.fc24                           fedora-debuginfo   907 k
 libverto-debuginfo             x86_64  0.2.6-6.fc24                           fedora-debuginfo    68 k
 libvorbis-debuginfo            x86_64  1:1.3.5-1.fc25                         updates-debuginfo  449 k
 libwacom-debuginfo             x86_64  0.25-1.fc25                            updates-debuginfo   69 k
 libxcb-debuginfo               x86_64  1.12-1.fc25                            fedora-debuginfo   841 k
 libxkbcommon-debuginfo         x86_64  0.7.1-1.fc25                           updates-debuginfo  386 k
 libxshmfence-debuginfo         x86_64  1.2-3.fc24                             fedora-debuginfo    16 k
 lz4-debuginfo                  x86_64  1.7.5-1.fc25                           updates-debuginfo  341 k
 mesa-debuginfo                 x86_64  17.0.5-3.fc25                          updates-debuginfo   69 M
 mtdev-debuginfo                x86_64  1.1.5-6.fc24                           fedora-debuginfo    50 k
 ncurses-debuginfo              x86_64  6.0-6.20160709.fc25                    fedora-debuginfo   1.5 M
 nettle-debuginfo               x86_64  3.3-1.fc25                             fedora-debuginfo   723 k
 nss-softokn-debuginfo          x86_64  3.30.2-1.0.fc25                        updates-debuginfo  2.2 M
 openssl-debuginfo              x86_64  1:1.0.2k-1.fc25                        updates-debuginfo  4.2 M
 p11-kit-debuginfo              x86_64  0.23.2-4.fc25                          updates-debuginfo  684 k
 pcre-debuginfo                 x86_64  8.40-7.fc25                            updates-debuginfo  1.2 M
 phonon-debuginfo               x86_64  4.9.0-3.fc25                           fedora-debuginfo   3.9 M
 polkit-debuginfo               x86_64  0.113-8.fc25                           updates-debuginfo  377 k
 polkit-qt-debuginfo            x86_64  0.112.0-8.fc25                         fedora-debuginfo   828 k
 pulseaudio-debuginfo           x86_64  10.0-2.fc25                            updates-debuginfo  3.4 M
 qca-debuginfo                  x86_64  2.1.3-3.fc25                           updates-debuginfo  7.7 M
 qt5-qtbase-debuginfo           x86_64  5.7.1-16.fc25                          updates-debuginfo  138 M
 qt5-qtdeclarative-debuginfo    x86_64  5.7.1-5.fc25                           updates-debuginfo   64 M
 qt5-qtscript-debuginfo         x86_64  5.7.1-2.fc25                           updates-debuginfo   14 M
 qt5-qtsvg-debuginfo            x86_64  5.7.1-2.fc25                           updates-debuginfo  5.4 M
 qt5-qttools-debuginfo          x86_64  5.7.1-4.fc25                           updates-debuginfo   49 M
 qt5-qtx11extras-debuginfo      x86_64  5.7.1-2.fc25                           updates-debuginfo   98 k
 qt5-qtxmlpatterns-debuginfo    x86_64  5.7.1-4.fc25                           updates-debuginfo   12 M
 sqlite-debuginfo               x86_64  3.14.2-1.fc25                          fedora-debuginfo   6.1 M
 systemd-debuginfo              x86_64  231-15.fc25                            updates-debuginfo  9.0 M
 tcp_wrappers-debuginfo         x86_64  7.6-83.fc25                            fedora-debuginfo   139 k
 util-linux-debuginfo           x86_64  2.28.2-2.fc25                          updates-debuginfo  3.2 M
 wayland-debuginfo              x86_64  1.12.0-1.fc25                          fedora-debuginfo   242 k
 xcb-util-debuginfo             x86_64  0.4.0-5.fc24                           fedora-debuginfo    28 k
 xcb-util-image-debuginfo       x86_64  0.4.0-5.fc24                           fedora-debuginfo    37 k
 xcb-util-keysyms-debuginfo     x86_64  0.4.0-3.fc24                           fedora-debuginfo    21 k
 xcb-util-renderutil-debuginfo  x86_64  0.3.9-6.fc24                           fedora-debuginfo    26 k
 xcb-util-wm-debuginfo          x86_64  0.4.1-8.fc24                           fedora-debuginfo    78 k
 xz-debuginfo                   x86_64  5.2.2-2.fc24                           fedora-debuginfo   475 k
 zlib-debuginfo                 x86_64  1.2.8-10.fc24                          fedora-debuginfo   254 k

Transaction Summary
========================================================================================================
Install  134 Packages

Total download size: 830 M
Installed size: 3.5 G
Comment 6 Rex Dieter 2017-06-11 09:56:27 EDT
That's still not a backtrace (resetting needinfo)
Comment 7 Fedora End Of Life 2017-11-16 14:24:57 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-12-12 05:39:33 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.